Bug 1253799 - Support all_devs multipath.conf option on Fedora 21
Support all_devs multipath.conf option on Fedora 21
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
21
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 14:01 EDT by Nir Soffer
Modified: 2015-12-02 13:16 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:57:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nir Soffer 2015-08-14 14:01:13 EDT
Description of problem:

Vdsm requires "no_path_retry fail" setting to ensure that io requests are
not queued, which may lead to blocking of multiple unrelated threads in
vdsm when performing lvm, multipath or scsi rescan operations.

On EL7 (and Fedora 22?) multipath supports now a new "all_devs yes"
device attribute. A device section using this attribute overrides any
setting defined in the built-in devices.

Vdsm would like to use the same configuration on all supported platforms
using "all_devs" device section.

Version:

device-mapper-multipath-0.4.9-68.fc21.3.x86_64

How to reproduce:

Testing on Fedora 21 show that this option is not supported:

1. Install this mutipath.conf

defaults {
    polling_interval            5
    no_path_retry               fail
    user_friendly_names         no
    flush_on_last_del           yes
    fast_io_fail_tmo            5
    dev_loss_tmo                30
    max_fds                     4096
}

devices {
    device {
        all_devs                yes
        no_path_retry           fail
    }
}

2. reload multiapthd

3. Connect to iscsi storage

4. Inspect multipath devices

# multipath -ll
Aug 14 13:00:21 | multipath.conf +19, invalid keyword: all_devs
360060160f4a0300063f640056066e411 dm-53 DGC     ,VRAID           
size=50G features='1 queue_if_no_path' hwhandler='1 emc' wp=rw
|-+- policy='service-time 0' prio=4 status=active
| |- 5:0:0:1  sdp 8:240 active ready running
| `- 6:0:0:1  sdr 65:16 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  |- 3:0:0:1  sdl 8:176 active ready running
  `- 4:0:0:1  sdn 8:208 active ready running

all_devs is ignored, and the DGC device is not using "no_path_retry fail"
as specified.
Comment 1 Nir Soffer 2015-08-14 14:02:55 EDT
Related to bug 880738.
Comment 2 Nir Soffer 2015-08-17 11:13:55 EDT
How to configure multipath on Fedora 21 for ovirt
-------------------------------------------------

1. Find the devices to configure using multipath -ll

# multipath -ll
...
360060160f4a0300063f640056066e411 dm-53 DGC     ,VRAID           
size=50G features='1 queue_if_no_path' hwhandler='1 emc' wp=rw
|-+- policy='service-time 0' prio=4 status=active
| |- 2:0:0:1  sdn 8:208 active ready running
| `- 5:0:0:1  sdk 8:160 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  |- 4:0:0:1  sdi 8:128 active ready running
  `- 6:0:0:1  sdl 8:176 active ready running
...

Here we have a device with vendor=DGC and product=VRAID
Note that this device is using "queue_if_no_path" feature, which
is not compatible with ovirt.

2. Find the device builtin configuration using multipathd

# multipathd show config

...
        device {
                vendor "DGC"
                product ".*"
                product_blacklist "LUNZ"
                path_grouping_policy "group_by_prio"
                path_checker "emc_clariion"
                features "1 queue_if_no_path"
                hardware_handler "1 emc"
                prio "emc"
                failback immediate
                rr_weight "uniform"
                no_path_retry 60
        }
...

3. Create this device section in /etc/multipath.conf

devices {
    device {                                                                                                                                                                   
        # Builtin defaults
        vendor "DGC"
        product ".*"
        product_blacklist "LUNZ"
        path_grouping_policy "group_by_prio"
        path_checker "emc_clariion"
        features "0"
        hardware_handler "1 emc"
        prio "emc"
        failback immediate
        rr_weight "uniform"
        # Vdsm required configuration
        no_path_retry 60
    }
}

4. Reload multipathd

# systemctl reload multipathd

5. Verify that the device is not using queue_if_no_path

# multipath -ll
...
360060160f4a0300063f640056066e411 dm-53 DGC     ,VRAID           
size=50G features='0' hwhandler='1 emc' wp=rw
|-+- policy='service-time 0' prio=4 status=active
| |- 2:0:0:1  sdn 8:208 active ready running
| `- 5:0:0:1  sdk 8:160 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  |- 4:0:0:1  sdi 8:128 active ready running
  `- 6:0:0:1  sdl 8:176 active ready running
...

This procedure should be done manually for device types.
Comment 3 Fedora Update System 2015-09-04 14:10:35 EDT
device-mapper-multipath-0.4.9-68.fc21.4 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15104
Comment 4 Fedora Update System 2015-09-04 19:18:34 EDT
device-mapper-multipath-0.4.9-68.fc21.4 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update device-mapper-multipath'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15104
Comment 5 Fedora Update System 2015-09-21 15:35:00 EDT
device-mapper-multipath-0.4.9-68.fc21.5 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16352
Comment 6 Fedora Update System 2015-09-23 01:23:55 EDT
device-mapper-multipath-0.4.9-68.fc21.5 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update device-mapper-multipath'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16352
Comment 7 Fedora Update System 2015-09-29 18:56:28 EDT
device-mapper-multipath-0.4.9-68.fc21.6 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ff9eaa3e01
Comment 8 Fedora Update System 2015-10-03 22:21:29 EDT
device-mapper-multipath-0.4.9-68.fc21.6 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update device-mapper-multipath'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ff9eaa3e01
Comment 9 Fedora End Of Life 2015-11-04 11:01:11 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-12-02 09:57:32 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.